#
# spec file for package gap-modules
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-modules
Version:        2024.01.01
%define sillyver 2024.01-01
Release:        1.3
Summary:        GAP: Abelian Finitely Presented Modules over Computable Rings
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            http://homalg-project.github.io/homalg_project/Modules/

#Git-Clone:	git://github.com/homalg-project/Modules
#Git-Web:	https://github.com/homalg-project/Modules
Source:         https://github.com/homalg-project/homalg_project/releases/download/Modules-%sillyver/Modules-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-gaussforhomalg >= 2023.08.01
Requires:       gap-homalg >= 2022.02.01
Requires:       gap-matricesforhomalg >= 2023.10.01
Requires:       gap-toolsforhomalg >= 2013.04.12

%description
The Modules package provides ring independent homological algebra
functionality for the abelian category of finitely presented modules
over computable rings.

%prep
%autosetup -n Modules-%sillyver

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2024.01.01
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog
* Thu Nov 15 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.08.24
  * And there is no changelog
* Mon Feb  5 2018 jengelh@inai.de
- Update to new upstream release 2018.01.07
  * There shall be no changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2017.09.10
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.07.27
  * Still no upstream changelogs provided
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 2016.01.20
  * No changelog was provided again
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No changelog was provided again
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2015.02.10
  * No changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.07.02
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split modules (version 2013.04.19) off the gap RPM package
